HSPECFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum HSPECFields

    java.lang.Object
      java.lang.Enum<HSPECFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.HSPECFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HSPECFields>

    public enum HSPECFields

extends java.lang.Enum<HSPECFields>

Enum Constant Summary
`boundboxyn`
`eezall`
`faoaream`
`faoareayn`
`lme`
`probability`

Method Summary
`static HSPECFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HSPECFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### probability

    public static final HSPECFields probability

### boundboxyn

    public static final HSPECFields boundboxyn

### faoareayn

    public static final HSPECFields faoareayn

### faoaream

    public static final HSPECFields faoaream

### lme

    public static final HSPECFields lme

### eezall

    public static final HSPECFields eezall

Method Detail

### values

    public static HSPECFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HSPECFields c : HSPECFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HSPECFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD